|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDateEdit Class Reference

The QDateEdit class provides a widget for editing dates based on the QDateTimeEdit widget. More...

    #include <QDateEdit>

Part of the QtGui module.

Inherits QDateTimeEdit.

- List of all members, including inherited members

### Public Functions

- QDateEdit ( QWidget * parent = 0 )
- QDateEdit ( const QDate & date, QWidget * parent = 0 )

- 23 public functions inherited from QDateTimeEdit
- 17 public functions inherited from QAbstractSpinBox
- 183 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Additional Inherited Members

- 10 properties inherited from QDateTimeEdit
- 7 properties inherited from QAbstractSpinBox
- 52 properties inherited from QWidget
- 1 property inherited from QObject
- 3 public slots inherited from QDateTimeEdit
- 4 public slots inherited from QAbstractSpinBox
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 3 signals inherited from QDateTimeEdit
- 1 signal inherited from QAbstractSpinBox
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 2 protected functions inherited from QDateTimeEdit
- 3 protected functions inherited from QAbstractSpinBox
- 39 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The QDateEdit class provides a widget for editing dates based on the QDateTimeEdit widget.

See also QTimeEdit and QDateTimeEdit.

## Member Function Documentation

### QDateEdit::QDateEdit ( QWidget * parent = 0 )

Constructs an empty date editor with a parent.

### QDateEdit::QDateEdit ( const QDate & date, QWidget * parent = 0 )

Constructs an empty date editor with a parent. The date is set to date.